Loading...
Searching...
No Matches
juce::Reverb Class Reference

## Detailed Description

Performs a simple reverb effect on a stream of audio data.

This is a simple stereo reverb, based on the technique and tunings used in FreeVerb. Use setSampleRate() to prepare it, and then call processStereo() or processMono() to apply the reverb to your audio data.

See also
  ReverbAudioSource

The documentation for this class was generated from the following file:

- juce_audio_basics/utilities/juce_Reverb.h

## Classes

struct | Parameters
| Holds the parameters being used by a Reverb object. More...

## Public Member Functions

| Reverb ()
const Parameters & | getParameters () const noexcept
| Returns the reverb's current parameters.
void | setParameters (const Parameters &newParams)
| Applies a new set of parameters to the reverb.
void | setSampleRate (const double sampleRate)
| Sets the sample rate that will be used for the reverb.
void | reset ()
| Clears the reverb's buffers.
void | processStereo (float *const left, float *const right, const int numSamples) noexcept
| Applies the reverb to two stereo channels of audio data.
void | processMono (float *const samples, const int numSamples) noexcept
| Applies the reverb to a single mono channel of audio data.

## Constructors and Destructors

## Reverb()

juce::Reverb::Reverb | ( |  | ) |

inline

References setParameters(), and setSampleRate().

## Member Functions

## getParameters()

const Parameters & juce::Reverb::getParameters | ( |  | ) | const

inline noexcept

Returns the reverb's current parameters.

## setParameters()

void juce::Reverb::setParameters | ( | const Parameters & | newParams | ) |

inline

Applies a new set of parameters to the reverb.

Note that this doesn't attempt to lock the reverb, so if you call this in parallel with the process method, you may get artifacts.

References juce::Reverb::Parameters::dryLevel, juce::Reverb::Parameters::freezeMode, juce::Reverb::Parameters::wetLevel, and juce::Reverb::Parameters::width.

Referenced by Reverb().

## setSampleRate()

void juce::Reverb::setSampleRate | ( | const double | sampleRate | ) |

inline

Sets the sample rate that will be used for the reverb.

You must call this before the process methods, in order to tell it the correct sample rate.

References jassert.

Referenced by Reverb().

## reset()

void juce::Reverb::reset | ( |  | ) |

inline

Clears the reverb's buffers.

## processStereo()

void juce::Reverb::processStereo | ( | float *const | left,
|  | float *const | right,
|  | const int | numSamples )

inline noexcept

Applies the reverb to two stereo channels of audio data.

References jassert, JUCE_BEGIN_IGNORE_WARNINGS_MSVC, and JUCE_END_IGNORE_WARNINGS_MSVC.

## processMono()

void juce::Reverb::processMono | ( | float *const | samples,
|  | const int | numSamples )

inline noexcept

Applies the reverb to a single mono channel of audio data.

References jassert, JUCE_BEGIN_IGNORE_WARNINGS_MSVC, and JUCE_END_IGNORE_WARNINGS_MSVC.

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited